Bug 212193 - Bogus message on wrong device
Bogus message on wrong device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 12:00 EDT by Glauber Costa
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for the problem. (639 bytes, patch)
2006-10-25 12:00 EDT, Glauber Costa
no flags Details | Diff

  None (edit)
Description Glauber Costa 2006-10-25 12:00:51 EDT
When blkdev_name_to_number() fails to assign a number to the specified
device, it returns None, causing a far-away-from-self-explanatory
message to be delivered. 

To reproduce it, just try to use a nonexistant device, like xda instead of xvda.
You'll never guess what the real problem is.
Comment 1 Glauber Costa 2006-10-25 12:00:52 EDT
Created attachment 139363 [details]
Upstream patch for the problem.
Comment 2 RHEL Product and Program Management 2006-10-26 14:58:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Rik van Riel 2006-11-08 21:48:01 EST
No QA ack yet :(
Comment 5 Jay Turner 2006-11-20 15:17:53 EST
QE ack for RHEL5.
Comment 6 Glauber Costa 2006-12-07 05:23:50 EST
This is already in the tree. Rik may have forgotten to set it modified. I'm
doing it.
Comment 7 RHEL Product and Program Management 2006-12-22 20:41:17 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.